#ifndef AVPORT_HPP
#define AVPORT_HPP
/******************************************************************************/
/* Canvas Classes Example 4 - ViewPort                                        */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
/* NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE          */
/******************************************************************************/

#include <iframe.hpp>                   // IFrameWindow
#include <ivport.hpp>                   // IViewPort
#include <ibmpctl.hpp>                  // IBitmapControl

//**************************************************************************
// Class:   AViewPort                                                      *
//                                                                         *
// Purpose: Main Window for C++ ViewPort sample application                *
//          It is a subclass of IFrameWindow                               *
//                                                                         *
//**************************************************************************
class AViewPort : public IFrameWindow
{
  public:                                 // define the public information
    AViewPort(unsigned long windowId);    // constructor for this class

  private:                                // define private information
    IViewPort        clientViewPort;
    IBitmapControl   bitmap;
};

#endif
